summary refs log tree commit diff
path: root/pkgs/tools/typesetting
diff options
context:
space:
mode:
authorEelco Visser <visser@acm.org>2004-07-16 22:58:15 +0000
committerEelco Visser <visser@acm.org>2004-07-16 22:58:15 +0000
commitbe48aa538b3dc6db2a6f830798194152e6cca641 (patch)
tree38f239a6c395efd7fd991d2124c6da5c17dac04a /pkgs/tools/typesetting
parentc0b5981c45add684e3ce2cb40908222066c1dc37 (diff)
downloadnixpkgs-be48aa538b3dc6db2a6f830798194152e6cca641.tar
nixpkgs-be48aa538b3dc6db2a6f830798194152e6cca641.tar.gz
nixpkgs-be48aa538b3dc6db2a6f830798194152e6cca641.tar.bz2
nixpkgs-be48aa538b3dc6db2a6f830798194152e6cca641.tar.lz
nixpkgs-be48aa538b3dc6db2a6f830798194152e6cca641.tar.xz
nixpkgs-be48aa538b3dc6db2a6f830798194152e6cca641.tar.zst
nixpkgs-be48aa538b3dc6db2a6f830798194152e6cca641.zip
- O'Caml compiler for Object CaML
- hevea is an interpreter for latex producing html

svn path=/nixpkgs/trunk/; revision=1171
Diffstat (limited to 'pkgs/tools/typesetting')
-rw-r--r--pkgs/tools/typesetting/hevea/builder.sh8
-rw-r--r--pkgs/tools/typesetting/hevea/default.nix9
2 files changed, 17 insertions, 0 deletions
diff --git a/pkgs/tools/typesetting/hevea/builder.sh b/pkgs/tools/typesetting/hevea/builder.sh
new file mode 100644
index 00000000000..34116917e0b
--- /dev/null
+++ b/pkgs/tools/typesetting/hevea/builder.sh
@@ -0,0 +1,8 @@
+. $stdenv/setup || exit 1
+
+tar xvfz $src || exit 1
+cd hevea-* || exit 1
+sed s+/usr/local+$out+ Makefile > Makefile.new || exit 1
+mv Makefile.new Makefile
+make || exit 1
+make install || exit 1
diff --git a/pkgs/tools/typesetting/hevea/default.nix b/pkgs/tools/typesetting/hevea/default.nix
new file mode 100644
index 00000000000..57a19f331fa
--- /dev/null
+++ b/pkgs/tools/typesetting/hevea/default.nix
@@ -0,0 +1,9 @@
+{stdenv, fetchurl, ocaml}: stdenv.mkDerivation {
+  name = "gnupatch-2.5.4";
+  builder = ./builder.sh;
+  src = fetchurl {
+    url = http://pauillac.inria.fr/~maranget/hevea/distri/hevea-1.07.tar.gz;
+    md5 = "561d7a2c10ea9e6a5b352c24d9b65998";
+  };
+  buildInputs = [ocaml]
+}